"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.mobileGetAppStrings = void 0;
/**
 * Retrives app strings from its resources for the given language
 * or the default device language.
 * @this {AndroidUiautomator2Driver}
 * @param {import('./types').GetAppStringsOptions} [opts={}]
 * @returns {Promise<StringRecord>}
 */
async function mobileGetAppStrings(opts) {
    return await this.getStrings(opts?.language);
}
exports.mobileGetAppStrings = mobileGetAppStrings;
/**
 * @typedef {import('appium-adb').ADB} ADB
 * @typedef {import('@appium/types').StringRecord} StringRecord
 * @typedef {import('../driver').AndroidUiautomator2Driver} AndroidUiautomator2Driver
 */
//# sourceMappingURL=app-strings.js.map